<template>
  <q-form @submit="onSubmit" class="q-gutter-md">
    <q-input type="email" v-model="email" label="Email" />
    <q-input type="password" v-model="password" label="Password" />
    <q-btn label="Register" type="submit" color="primary" />
  </q-form>
</template>

<script>
import { mapActions } from 'vuex';

export default {
  data() {
    return {
      email: '',
      password: '',
    };
  },
  methods: {
    ...mapActions('auth', ['register']),
    async onSubmit() {
      try {
        await this.register({ email: this.email, password: this.password });
      } catch (error) {
        this.$q.notify({ type: 'negative', message: error.message });
      }
    },
  },
};
</script>
